%global gem_name backports
Name:                rubygem-%{gem_name}
Version:             3.20.1
Release:             1
Summary:             Backports of Ruby features for older Ruby
License:             MIT
URL:                 http://github.com/marcandre/backports
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(activesupport) rubygem(test-unit)
BuildArch:           noarch
%description
Essential backports that enable many of the nice features of Ruby 1.8.7 up to
2.1.0 for earlier versions.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
sed -i "s/^/#/" lib/backports/rails/module.rb
ruby -Ilib -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile*
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/SECURITY.md
%{gem_instdir}/backports.gemspec

%changelog
* Mon Feb 14 2022 wangkai <wangkai385@huawei.com> - 3.20.1-1
- update to 3.20.1 for fix build error

* Wed Aug 19 2020 shenleizhao <shenleizhao@huawei.com> - 3.11.4-1
- package init
